1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

3.60 Firmware any reason NOT to update?

Discussion in 'PS3 - Modding & Hacking' started by trs71, Mar 8, 2012.

  1. trs71

    trs71 Member

    Joined:
    Apr 7, 2010
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    Hi, I've been flashing/modding/fixing 360's for years, but just got my hands on a PS3 Fat w/ 3.60 firmware. Everything I read tells me I need 3.55 or earlier for "jailbreaking" it for playing backups. Since I'm already on 3.60 is there any benefit from not updating the system?

    All the google searches seem to be filled with BS, so If I can't roll it back or use something else to make use of the version, should I just update it? Thanks.
     
  2. bigo93

    bigo93 Regular member

    Joined:
    Mar 11, 2008
    Messages:
    1,354
    Likes Received:
    0
    Trophy Points:
    46
    No there is no benefit.

    You have 2 options:

    1) Update and use the console as usual
    2) Buy a downgrader and install cfw.


    The PS3 scene is dead, do not expect anything soon to help with hacking later firmwares.
     
  3. trs71

    trs71 Member

    Joined:
    Apr 7, 2010
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    Is the E3 Nor Flasher from Dealextreme probably my best bet?

    Edit- (Also will it flash it back to 3.55 if I update it? I read might and might not) Thanks again!
     
    Last edited: Mar 9, 2012
  4. bigo93

    bigo93 Regular member

    Joined:
    Mar 11, 2008
    Messages:
    1,354
    Likes Received:
    0
    Trophy Points:
    46
    Well first make sure the one you get supports dual booting.

    Then update your firmware to the latest one on the PS3, and instead of downgrading your PS3, just install the cfw onto the second chip.
     
  5. Kannz

    Kannz Regular member

    Joined:
    Jan 5, 2009
    Messages:
    228
    Likes Received:
    0
    Trophy Points:
    26
    I thought the new e3 thing doesn't support dual firms yet even though they said it would o_O
     

Share This Page